﻿
// Get variable value from VariableManager
var PreEncVar = context.variableManager.getValue("pre_encode");
if (PreEncVar==null) {
        context.fail("Variable 'PreEncVar' not found");
}

// Log the pre-Encoded value for reference
logger.debug("PreComputedValue = "+PreEncVar);

// Do some computation using the methods
// you defined in the JS Library. This case the Base64 JS function
// Then, log the value to show what it is after encoding
var EncodedValue = Base64.encode(PreEncVar);
logger.debug("PostComputedValue = "+EncodedValue);

// Export the computed value in a runtime variable back to Neoload to use
context.variableManager.setValue("Base64Var",EncodedValue);